label, input, p {
    display: block;
    margin: auto;
    width: 40%;
    min-width: 210px;
}

input {
    border: none;
    border-bottom: solid black 1px;
    background: none;
    transition: all .3s;
    height: 2em;
    margin-bottom: 2px;
}

input:hover {
    background-color: rgba(255, 255, 255, .15);
}

input:focus {
    outline: none;
    background-color: rgba(255, 255, 255, .45);
}

label {
    text-align: center;
    margin-top: 16px;
    font-weight: bold;
}

p {
    font-style: italic;
    transition: all .3s;
}

input[type="submit"] {
    display: block;
    margin: auto;
    width: calc(40% + 8px);
    min-width: 210px;
    border: none;
    padding-top: 5px;
    padding-bottom: 5px;
    background-color: black;
    color: white;
    font-weight: bold;
    border-radius: 4px;
    transition: all .3s;
}

button:hover {
    background-color: #222222;
    cursor: pointer;
}

input:invalid {
    border-bottom: solid 1px red;
}

.indicateur {
    text-align: center;
    margin-top: 12px;
}

.indicateur>div {
    display: inline-block;
    width: 10%;
    text-align: center;
    opacity: 0%;
    transition: all .3s;
}

.faible {
    border-top: solid 5px red;
}

.moyen {
    border-top: solid 5px yellow;
}

.fort {
    border-top: solid 5px green;
}